Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.parsers
Class SAXParser

    java.lang.Object
      |
      +--javax.xml.parsers.SAXParser

public abstract class SAXParser
extends java.lang.Object

Defines the API that represents a simple SAX parser. An instance of this class can be obtained from the `SAXParserFactory.newSAXParser()` method. Once an instance of this class is obtained, XML can be parsed from an InputStream

As the content is parsed by the underlying parser, methods of the given `DefaultHandler` are called.

An implementation of `SAXParser` is NOT guaranteed to behave as per the specification if it is used concurrently by two or more threads. It is recommended to have one instance of the `SAXParser` per thread or it is upto the application to make sure about the use of `SAXParser` from more than one thread.

Since:
  JAXP 1.0

Constructor Summary
`protected` | `SAXParser()`

Method Summary
`abstract boolean` | `isNamespaceAware()` Indicates whether or not this parser is configured to understand namespaces.
`abstract boolean` | `isValidating()` Indicates whether or not this parser is configured to validate XML documents.
`abstract void` | `parse(InputSource is, DefaultHandler dh)` Parse the content given `InputSource` as XML using the specified `DefaultHandler`.
`abstract void` | `parse(java.io.InputStream is, DefaultHandler dh)` Parse the content of the given `InputStream` instance as XML using the specified `DefaultHandler`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXParser

    protected SAXParser()

Method Detail

### parse

    public abstract void parse(java.io.InputStream is,
                               DefaultHandler dh)
                        throws SAXException,
                               java.io.IOException

  Parse the content of the given `InputStream` instance as XML using the specified `DefaultHandler`.

  Parameters:
    `is` - InputStream containing the content to be parsed.
    `dh` - The SAX DefaultHandler to use.
  Throws:
    `java.io.IOException` - If any IO errors occur.
    `java.lang.IllegalArgumentException` - If the given InputStream is null.
    `SAXException` - If the underlying parser throws a SAXException while parsing.

### parse

    public abstract void parse(InputSource is,
                               DefaultHandler dh)
                        throws SAXException,
                               java.io.IOException

  Parse the content given `InputSource` as XML using the specified `DefaultHandler`.

  Parameters:
    `is` - The InputSource containing the content to be parsed.
    `dh` - The SAX DefaultHandler to use.
  Throws:
    `java.io.IOException` - If any IO errors occur.
    `java.lang.IllegalArgumentException` - If the InputSource is null.
    `SAXException` - If the underlying parser throws a SAXException while parsing.
  See Also:
    `DefaultHandler`

### isNamespaceAware

    public abstract boolean isNamespaceAware()

  Indicates whether or not this parser is configured to understand namespaces.

  Returns:
    true if this parser is configured to understand namespaces; false otherwise.

### isValidating

    public abstract boolean isValidating()

  Indicates whether or not this parser is configured to validate XML documents.

  Returns:
    true if this parser is configured to validate XML documents; false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JSR 172 - J2ME[tm] Web Services
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 1.0 of J2ME Web Services Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright (c) 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved. Use is subject to license terms.